> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Content Chunks

> Fetch all chunks for a specific content.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/knowledge/contents/{content_id}/chunks
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/knowledge/contents/{content_id}/chunks:
    get:
      tags:
        - Orgs Knowledge
      summary: Get Content Chunks
      description: Fetch all chunks for a specific content.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the content
          name: content_id
          in: path
        - schema:
            $ref: '#/components/schemas/QueryVectorChunkStatusSchema'
          required: false
          name: status
          in: query
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: An array of vector chunks.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VectorChunkSchema'
components:
  schemas:
    QueryVectorChunkStatusSchema:
      type: string
      enum:
        - ALL
        - PENDING
        - PROCESSING
        - PROCESSED
        - FAILED
    VectorChunkSchema:
      type: object
      properties:
        id:
          type: string
        content_id:
          type: string
        char_start:
          type: number
        char_end:
          type: number
        chunk_index:
          type: number
        status:
          $ref: '#/components/schemas/VectorChunkStatusSchema'
        error:
          type:
            - string
            - 'null'
          description: Error message if vector chunk processing failed
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - content_id
        - char_start
        - char_end
        - chunk_index
        - status
        - error
        - created_at
        - updated_at
      description: Vector chunk schema
    VectorChunkStatusSchema:
      type: string
      enum:
        - PENDING
        - PROCESSING
        - PROCESSED
        - FAILED
      description: Status of vector chunk processing
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````